Get Reference V2 Using GET

Get Reference V2 Using GET

Loads references information of a Locker Entity

Request
URI
GET
https://{api_host}//lcm-15-95.eng.vmware.com/lcm/locker/api/v2/references/{vmid}
COPY
Path Parameters
string
vmid
Required

vmid


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns LockerEnvResponseDTO of type(s) application/json
{
    "environments": [
        {
            "envId": "string",
            "envName": "string",
            "products": [
                {
                    "consumption": "string",
                    "name": "string",
                    "nodes": [
                        {
                            "name": "string"
                        }
                    ]
                }
            ]
        }
    ]
}
environments
Optional

environments


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

404

Not Found

Operation doesn't return any data structure

500

Internal Server Error

Returns GenericErrorResponseDTO of type(s) application/json
{
    "errorCode": "string",
    "errorLabel": "string",
    "message": "string",
    "recommendations": [
        "string"
    ],
    "status": "string"
}
string
errorCode
Optional

errorCode

string
errorLabel
Optional

errorLabel

string
message
Optional

message

array of string
recommendations
Optional

recommendations

string
status
Optional

status